com.pdfunit.validators

## Class OrderedTextValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.AbstractPageValidator
    - - com.pdfunit.validators.OrderedTextValidator

-     @DoNotObfuscate
      public final class OrderedTextValidator
      extends com.pdfunit.validators.AbstractPageValidator

  Validator for ordered content in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractPageValidator

      `effectedPageNumbers, pageScanFlag, pagesToUse, region`

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OrderedTextValidator(TextValidator textValidator, java.util.Hashtable<java.lang.Integer,java.lang.String> filteredTextAllPages)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrderedTextValidator` | `containsFirst(java.lang.String expectedToken, WhitespaceProcessing whitespaceProcessing)`
    `OrderedTextValidator` | `then(java.lang.String expectedToken)` This method verifies, that the expected text of the current PDF document contains the expected token after the position of the last searched token.

    - ### Methods inherited from class com.pdfunit.validators.AbstractPageValidator

      `createFullSizeRegionFromDocument, getEffectedPages, getPageScanFlag, setPagesToUse, setRegion`

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderedTextValidator

          protected OrderedTextValidator(TextValidator textValidator,
                              java.util.Hashtable<java.lang.Integer,java.lang.String> filteredTextAllPages)

  - ### Method Detail

    - #### containsFirst

          @Guarded
          public OrderedTextValidator containsFirst(java.lang.String expectedToken,
                                                   WhitespaceProcessing whitespaceProcessing)

    - #### then

          @Guarded
          public OrderedTextValidator then(java.lang.String expectedToken)

      This method verifies, that the expected text of the current PDF document contains the expected token after the position of the last searched token.

Copyright (C) PDFUnit.com. See here for license.